#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a,b,x,y;
    cin>>a>>b>>x>>y;
    if(x==a)
    {
        if(b==y)
        {
            cout<<"nijedan";
            return 0;
        }
        else if(b>y)
        {
            cout<<"drugi";
            return 0;
        }
    }
    if(b==y)
    {
        if(a>x)
        {
            cout<<"prvi";
            return 0;
        }
    }
    cout<<"?";
    return 0;
}